namespace CasaBotApp.Controllers;

public class CasaBotOrchestrator
{
    private readonly IEnumerable<IController> _controllers;

    public CasaBotOrchestrator(IEnumerable<IController> controllers)
    {
        _controllers = controllers;
    }
    
    public void RegisterControllers()
    {
        foreach (var controller in _controllers)
        {
            controller.Register();
        }
    }
}