
using CasaBotApp.Controllers;
using Microsoft.Extensions.DependencyInjection;

namespace CasaBotApp.Extensions;

public static class AlarmBotOrchestration
{
   public static void AddCasaBotOrchestration(this IServiceCollection services)
   {
      services.AddSingleton<CasaBotOrchestrator>();
      services.AddTransient<IController, AutoScanController>();
      services.AddTransient<IController, BotController>();
      services.AddTransient<IController, ServerController>();
   }

}